using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IDocumentStorage
    {
        List<DocumentViewModel> GetFullList();
        List<DocumentViewModel> GetFilteredList(DocumentSearchModel model);
        DocumentViewModel? GetElement(DocumentSearchModel model);
        DocumentViewModel? Insert(DocumentBindingModel model);
        DocumentViewModel? Update(DocumentBindingModel model);
        DocumentViewModel? Delete(DocumentBindingModel model);
    }
}
